#pragma once
#include "CivSimulResHelperAbs.h"
#include<vector>
#include<string>


#define RESDBHELPER __declspec(dllexport)

class RESDBHELPER CivSimulResDbHelper :public CivSimulResHelperAbs
{
public:
	explicit CivSimulResDbHelper(const std::string& uri);
	~CivSimulResDbHelper();

	virtual bool insertNodes(const NodeResultItems& nodeitems);
	virtual bool insertLinks(const LinkResultItems& linkMap);
	virtual bool insertTanks(const TankResultItems& tankMap);

	virtual void getAllNodeCoords(NodeCoords& nodeCoords);
	virtual void getAllPipeCoords(PipeCoords& pipeCoords);

private:
	std::vector<std::string> mNodeFields;
	std::vector<std::string> mLinkFileds;
	std::vector<std::string> mTankFileds;
}; 
